/***************************************************************************
**
**    $Header:   D:/EP196/SRC/LOG/CPUTYPE.H__   1.0   19 May 1997 14:39:16   ZJRD  $
**
**    $Log:   D:/EP196/SRC/LOG/CPUTYPE.H__  $
** 
**    Rev 1.0   19 May 1997 14:39:16   ZJRD
** Initial revision.
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//
//  File name:  CPUTYPE.H
//
//  Description:The header file for the class: CCputypeDialog
//
//  Author:     Roger Zhang
//
//  Date:       10/25/95
//
//  Modification:
//
//      1. 10/25/95, Ver 0.1f 
//
//
//  Copyright (C) 1995 Microtek International. All rights reserved.
//
/////////////////////////////////////////////////////////////////////////////

int InitGetCpuType(void);

// CCputypeDialog dialog

class CCputypeDialog : public CDialog
{
// Construction
public:
	CCputypeDialog(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CCputypeDialog)
	enum { IDD = IDD_CPUTYPE };
	CListBox	m_list;
	CString	m_strCpu;
	//}}AFX_DATA             
	
	int	m_nType;   
	
	int m_nCnt;
	char ** m_pCpu;
	

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
	//{{AFX_MSG(CCputypeDialog)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnSelchangeCputypeList();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
